## robocode
Class DeathEvent

    java.lang.Object
      robocode.Event
          robocode.DeathEvent

All Implemented Interfaces:
  Comparable<Event>

    public class DeathEvent

extends Event

This event is sent to `onDeath(DeathEvent)` when your robot dies.

Author:
  Mathew A. Nelson (original)

Constructor Summary
`DeathEvent()` Called by the game to create a new DeathEvent.

Method Summary

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeathEvent

    public DeathEvent()

  Called by the game to create a new DeathEvent.